Service health

Check process liveness and data-service readiness.

GET/health

Process liveness; does not check dependencies or public access.

No parameters.

Shell · available now
curl "https://api.boxobserver.com/health"

Response

200 application/json

Illustrative response shape · not live data
{
  "ok": true,
  "service": "box-observer-api"
}
Response fields
FieldType and constraints
okRequiredbooleanValues: true
serviceRequiredstringValues: box-observer-api

Errors: 403, 500, 503. Response format and retry guidance →

GET/ready

The API and its data dependencies are ready to serve requests.

No parameters.

Shell · available now
curl "https://api.boxobserver.com/ready"

Response

200 application/json

Illustrative response shape · not live data
{
  "ok": true,
  "service": "box-observer-api",
  "productReadVersion": 0,
  "dependencies": {
    "dataService": "ready"
  }
}
Response fields
FieldType and constraints
okRequiredbooleanValues: true
serviceRequiredstringValues: box-observer-api
productReadVersionOptionalinteger
dependenciesRequiredobject
dependencies.dataServiceRequiredstringValues: ready

Errors: 403, 429, 500, 503. Response format and retry guidance →